## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate notify

Name:           rust-notify
Version:        6.1.1
Release:        %autorelease
Summary:        Cross-platform filesystem notification library

License:        CC0-1.0
URL:            https://crates.io/crates/notify
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          notify-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * remove macOS-specific features
Patch:          notify-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Cross-platform filesystem notification library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-CC0
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crossbeam-channel-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossbeam-channel-devel %{_description}

This package contains library source intended for building other packages which
use the "crossbeam-channel" feature of the "%{crate}" crate.

%files       -n %{name}+crossbeam-channel-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+manual_tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+manual_tests-devel %{_description}

This package contains library source intended for building other packages which
use the "manual_tests" feature of the "%{crate}" crate.

%files       -n %{name}+manual_tests-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+timing_tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+timing_tests-devel %{_description}

This package contains library source intended for building other packages which
use the "timing_tests" feature of the "%{crate}" crate.

%files       -n %{name}+timing_tests-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 01 2023 Fabio Valentini <decathorpe@gmail.com> - 6.1.1-1
- Update to version 6.1.1; Fixes RHBZ#2207808

* Sun Jul 30 2023 Fabio Valentini <decathorpe@gmail.com> - 5.2.0-3
- Clarify license according after further legal review

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun May 21 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 5.2.0-1
- Update to 5.2.0
- Drop inotify dependency downgrade patch

* Tue Apr 04 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 5.1.0-1
- Update to 5.1.0

* Mon Feb 27 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 4.0.17-1
- Update to 4.0.17
- Convert license declaration to SPDX

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.15-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.15-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.15-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.15-6
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.15-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jan 25 2020 Josh Stone <jistone@redhat.com> - 4.0.15-1
- Update to 4.0.15

* Tue Dec 17 10:30:17 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.0.14-2
- Update inotify to 0.8

* Sat Nov 23 2019 Josh Stone <jistone@redhat.com> - 4.0.14-1
- Update to 4.0.14

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 22 23:13:10 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.0.12-2
- Regenerate

* Thu May 30 17:45:19 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.0.12-1
- Update to 4.0.12

* Thu May 09 08:25:27 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.0.11-1
- Update to 4.0.11

* Mon Mar 11 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.0.10-1
- Initial package

## END: Generated by rpmautospec
